Browse code

provide script for package maintainers to split tarball (bb #1515) disable preloading, it doesn't work properly yet.

git-svn: trunk@4993

Török Edvin authored on 2009/03/31 21:29:36
Showing 9 changed files
... ...
@@ -1,3 +1,10 @@
1
+Tue Mar 31 15:28:11 EEST 2009 (edwin)
2
+-------------------------------------
3
+ * Makefile.am, Makefile.in, configure, configure.in, contrib/,
4
+ libclamav/, libclamunrar_iface/: provide script for package
5
+ maintainers to split tarball (bb #1515) disable preloading, it
6
+ doesn't work properly yet.
7
+
1 8
 Tue Mar 31 12:41:32 EEST 2009 (edwin)
2 9
 -------------------------------------
3 10
  * clamav-config.h.in, configure, configure.in, libclamav/,
... ...
@@ -19,7 +19,7 @@
19 19
 ACLOCAL_AMFLAGS=-I m4
20 20
 
21 21
 SUBDIRS = libltdl libclamav clamscan clamd clamdscan freshclam sigtool clamconf database docs etc clamav-milter test unit_tests clamdtop
22
-EXTRA_DIST = FAQ examples BUGS shared libclamav.pc.in UPGRADE COPYING.bzip2 COPYING.lzma COPYING.unrar COPYING.LGPL COPYING.file COPYING.zlib COPYING.getopt COPYING.regex COPYING.sha256
22
+EXTRA_DIST = FAQ examples BUGS shared libclamav.pc.in libclamunrar_iface/Makefile.am libclamunrar_iface/Makefile.in UPGRADE COPYING.bzip2 COPYING.lzma COPYING.unrar COPYING.LGPL COPYING.file COPYING.zlib COPYING.getopt COPYING.regex COPYING.sha256
23 23
 
24 24
 bin_SCRIPTS=clamav-config
25 25
 
... ...
@@ -282,7 +282,7 @@ top_builddir = @top_builddir@
282 282
 top_srcdir = @top_srcdir@
283 283
 ACLOCAL_AMFLAGS = -I m4
284 284
 SUBDIRS = libltdl libclamav clamscan clamd clamdscan freshclam sigtool clamconf database docs etc clamav-milter test unit_tests clamdtop
285
-EXTRA_DIST = FAQ examples BUGS shared libclamav.pc.in UPGRADE COPYING.bzip2 COPYING.lzma COPYING.unrar COPYING.LGPL COPYING.file COPYING.zlib COPYING.getopt COPYING.regex COPYING.sha256
285
+EXTRA_DIST = FAQ examples BUGS shared libclamav.pc.in libclamunrar_iface/Makefile.am libclamunrar_iface/Makefile.in UPGRADE COPYING.bzip2 COPYING.lzma COPYING.unrar COPYING.LGPL COPYING.file COPYING.zlib COPYING.getopt COPYING.regex COPYING.sha256
286 286
 bin_SCRIPTS = clamav-config
287 287
 pkgconfigdir = $(libdir)/pkgconfig
288 288
 pkgconfig_DATA = libclamav.pc
... ...
@@ -25381,7 +25381,7 @@ else
25381 25381
 fi
25382 25382
 
25383 25383
 
25384
-ac_config_files="$ac_config_files libclamav/Makefile libclamav/lzma/Makefile clamscan/Makefile database/Makefile docs/Makefile clamd/Makefile clamdscan/Makefile clamav-milter/Makefile freshclam/Makefile sigtool/Makefile clamconf/Makefile etc/Makefile test/Makefile unit_tests/Makefile clamdtop/Makefile Makefile clamav-config libclamav.pc docs/man/clamav-milter.8 docs/man/clamconf.1 docs/man/clamd.8 docs/man/clamd.conf.5 docs/man/clamdscan.1 docs/man/clamscan.1 docs/man/freshclam.1 docs/man/freshclam.conf.5 docs/man/sigtool.1 docs/man/clamdtop.1"
25384
+ac_config_files="$ac_config_files libclamunrar_iface/Makefile libclamav/Makefile libclamav/lzma/Makefile clamscan/Makefile database/Makefile docs/Makefile clamd/Makefile clamdscan/Makefile clamav-milter/Makefile freshclam/Makefile sigtool/Makefile clamconf/Makefile etc/Makefile test/Makefile unit_tests/Makefile clamdtop/Makefile Makefile clamav-config libclamav.pc docs/man/clamav-milter.8 docs/man/clamconf.1 docs/man/clamd.8 docs/man/clamd.conf.5 docs/man/clamdscan.1 docs/man/clamscan.1 docs/man/freshclam.1 docs/man/freshclam.conf.5 docs/man/sigtool.1 docs/man/clamdtop.1"
25385 25385
 
25386 25386
 cat >confcache <<\_ACEOF
25387 25387
 # This file is a shell script that caches the results of configure
... ...
@@ -26363,6 +26363,7 @@ do
26363 26363
     "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
26364 26364
     "libtool") CONFIG_COMMANDS="$CONFIG_COMMANDS libtool" ;;
26365 26365
     "libltdl/Makefile") CONFIG_FILES="$CONFIG_FILES libltdl/Makefile" ;;
26366
+    "libclamunrar_iface/Makefile") CONFIG_FILES="$CONFIG_FILES libclamunrar_iface/Makefile" ;;
26366 26367
     "libclamav/Makefile") CONFIG_FILES="$CONFIG_FILES libclamav/Makefile" ;;
26367 26368
     "libclamav/lzma/Makefile") CONFIG_FILES="$CONFIG_FILES libclamav/lzma/Makefile" ;;
26368 26369
     "clamscan/Makefile") CONFIG_FILES="$CONFIG_FILES clamscan/Makefile" ;;
... ...
@@ -1569,6 +1569,7 @@ AM_CONDITIONAL([HAVE_CURSES],
1569 1569
 	       [test "X$HAVE_LIBNCURSES" = "Xyes" || test "X$HAVE_LIBPDCURSES" = "Xyes"])
1570 1570
 
1571 1571
 AC_OUTPUT([
1572
+libclamunrar_iface/Makefile
1572 1573
 libclamav/Makefile
1573 1574
 libclamav/lzma/Makefile
1574 1575
 clamscan/Makefile
1575 1576
new file mode 100755
... ...
@@ -0,0 +1,112 @@
0
+#!/bin/bash
1
+# Split an upstream tarball into -dfsg, and -unrarplugin.
2
+if test $# -ne 2; then
3
+    echo -e "Usage: $0 <PATH> <VERSION>\n\t<PATH> - directory that contains clamav-<VERSION>.tar.gz";
4
+    exit 1;
5
+fi
6
+
7
+test -d $1 || { echo "Directory $1 doesn't exist"; exit 2; }
8
+TARBALL=`realpath "$1/clamav-$2.tar.gz"`
9
+test -f $TARBALL || { echo "Tarball $TARBALL doesn't exist"; exit 3; }
10
+
11
+TEMP=`mktemp -d __splitXXXXXX` || { echo "Cannot create temporary directory"; exit 2; }
12
+echo "Temporary directory is $TEMP"
13
+cd $TEMP || exit 3;
14
+echo "Extracting $TARBALL";
15
+tar -xzf $TARBALL || { echo "Failed to extract $TARBALL"; exit 4; }
16
+
17
+UNRARPKG=clamav-$2-unrar.tar.gz
18
+DFSGPKG=clamav-$2-dfsg.tar.gz
19
+UNRARDIR="clamav-$2-unrar"
20
+MAKEFLAGS=-j4
21
+
22
+mkdir testpfx || { echo "Failed to create testpfx"; exit 5; }
23
+TESTPFX=`realpath testpfx`
24
+mv clamav-$2 clamav-$2-dfsg &&
25
+mkdir $UNRARDIR &&
26
+UNRARDIR=`realpath "$UNRARDIR"` &&
27
+echo "Preparing dfsg package" &&
28
+cd clamav-$2-dfsg &&
29
+cp -R libclamunrar_iface $UNRARDIR &&
30
+mv libclamunrar $UNRARDIR &&
31
+cp -R m4/ $UNRARDIR &&
32
+cp -R config/ $UNRARDIR &&
33
+cp configure.in $UNRARDIR &&
34
+cd ../ &&
35
+tar -czf $DFSGPKG clamav-$2-dfsg/ &&
36
+cd $UNRARDIR &&
37
+echo "Preparing unrar package" &&
38
+sed -ie '/AC_OUTPUT/,/])/ {
39
+/^AC_OUTPUT/p
40
+/^libclamunrar/p
41
+/^Makefile/p
42
+/^])/p
43
+d
44
+}
45
+/LTDL/d
46
+/ltdl/d
47
+s/clamscan\/clamscan.c/libclamunrar_iface\/unrar_iface.c/
48
+' configure.in &&
49
+cat <<EOF >Makefile.am &&
50
+ACLOCAL_AMFLAGS=-I m4
51
+DISTCLEANFILES = target.h
52
+SUBDIRS = libclamunrar_iface
53
+EOF
54
+autoreconf &&
55
+cd .. &&
56
+tar -czf $UNRARPKG clamav-$2-unrar/ &&
57
+mkdir buildtest && cd buildtest &&
58
+echo "Running build-test for $DFSGPKG" &&
59
+tar -xzf ../$DFSGPKG && cd clamav-$2-dfsg &&
60
+echo "Configuring" &&
61
+./configure --disable-clamav --disable-unrar --enable-milter --prefix=$TESTPFX >makelog &&
62
+echo "Building" &&
63
+make $MAKEFLAGS >>makelog&&
64
+echo "Checking" &&
65
+make $MAKEFLAGS check >>makelog 2>&1&&
66
+make $MAKEFLAGS install >>makelog&&
67
+make $MAKFELAGS installcheck >>makelog&&
68
+echo "OK" &&
69
+cd .. &&
70
+echo "Running build-test for $UNRARPKG" &&
71
+tar -xzf ../$UNRARPKG && cd clamav-$2-unrar &&
72
+echo "Configuring" &&
73
+./configure --disable-clamav --prefix=$TESTPFX >makelog &&
74
+echo "Building" &&
75
+make $MAKEFLAGS >>makelog &&
76
+make $MAKEFLAGS install >>makelog &&
77
+make $MAKEFLAGS installcheck >>makelog &&
78
+echo "OK" &&
79
+cd ../.. &&
80
+echo "Testing whether unrar functionality works" &&
81
+cat <<EOF >test.hdb
82
+aa15bcf478d165efd2065190eb473bcb:544:ClamAV-Test-File
83
+EOF
84
+
85
+if test $? -ne 0; then
86
+    tail makelog
87
+    echo
88
+    echo "Failed"
89
+    exit 50;
90
+fi
91
+$TESTPFX/bin/clamscan buildtest/clamav-$2-dfsg/test/clam-v*.rar -dtest.hdb >clamscanlog
92
+if test $? -ne 1; then
93
+    echo "Test failed";
94
+    cat clamscanlog
95
+    exit 10;
96
+fi
97
+NDET=`grep FOUND clamscanlog | wc -l`
98
+if test "0$NDET" -eq "2"; then
99
+    echo "All testfiles detected"
100
+    echo "Copying tarballs to current directory"
101
+    mv $UNRARPKG ../ &&
102
+    mv $DFSGPKG ../ &&
103
+    echo "Ready: $UNRARPKG $DFSGPKG" &&
104
+    rm -rf $TEMP &&
105
+    echo "Removed temporary directory $TEMP" &&
106
+    exit 0
107
+    exit 30
108
+fi
109
+echo "Test failed"
110
+cat clamscanlog
111
+exit 100
... ...
@@ -98,15 +98,19 @@ static int warn_dlerror(const char *msg)
98 98
     return 0;
99 99
 }
100 100
 
101
-/* dummy to prevent link errors, main program will override */
101
+#if 0
102 102
 #define lt_preload_symbols lt_libclamav_LTX_preloaded_symbols
103 103
 extern const lt_dlsymlist lt_preload_symbols[];
104
+#endif
104 105
 
105 106
 static int lt_init(void) {
107
+#if 0
108
+    /* doesn't work yet */
106 109
     if (lt_dlpreload_default(lt_preload_symbols)) {
107 110
         warn_dlerror("Cannot init ltdl preloaded symbols");
108 111
 	/* not fatal */
109 112
     }
113
+#endif
110 114
     if(lt_dlinit()) {
111 115
         warn_dlerror("Cannot init ltdl - unrar support unavailable");
112 116
         return -1;
113 117
new file mode 100644
... ...
@@ -0,0 +1,62 @@
0
+#
1
+#  Copyright (C) 2002 - 2007 Tomasz Kojm <tkojm@clamav.net>
2
+#
3
+#  This program is free software; you can redistribute it and/or modify
4
+#  it under the terms of the GNU General Public License as published by
5
+#  the Free Software Foundation; either version 2 of the License, or
6
+#  (at your option) any later version.
7
+#
8
+#  This program is distributed in the hope that it will be useful,
9
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
10
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
11
+#  GNU General Public License for more details.
12
+#
13
+#  You should have received a copy of the GNU General Public License
14
+#  along with this program; if not, write to the Free Software
15
+#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
16
+#  MA 02110-1301, USA.
17
+
18
+AM_CPPFLAGS = -I$(top_srcdir) $(LTDLINCL)
19
+EXTRA_DIST =
20
+EXTRA_DIST += @top_srcdir@/libclamunrar/libclamunrar.map @top_srcdir@/libclamunrar_iface/libclamunrar_iface.map
21
+if ENABLE_UNRAR
22
+
23
+libclamunrar_la_LDFLAGS = @TH_SAFE@ -version-info @LIBCLAMAV_VERSION@ -no-undefined
24
+
25
+if VERSIONSCRIPT
26
+libclamunrar_la_LDFLAGS += -Wl,@VERSIONSCRIPTFLAG@,@top_srcdir@/libclamunrar/libclamunrar.map
27
+endif
28
+
29
+libclamunrar_la_SOURCES = \
30
+	../libclamunrar/unrar15.c \
31
+	../libclamunrar/unrar20.h \
32
+	../libclamunrar/unrar.h \
33
+	../libclamunrar/unrar15.h \
34
+	../libclamunrar/unrar.c \
35
+	../libclamunrar/unrar20.c \
36
+	../libclamunrar/unrarcmd.h \
37
+	../libclamunrar/unrarfilter.h \
38
+	../libclamunrar/unrarppm.c \
39
+	../libclamunrar/unrarvm.c \
40
+	../libclamunrar/unrarcmd.c \
41
+	../libclamunrar/unrarfilter.c \
42
+	../libclamunrar/unrar.h \
43
+	../libclamunrar/unrarppm.h \
44
+	../libclamunrar/unrarvm.h \
45
+	../libclamunrar/unrarhlp.c \
46
+	../libclamunrar/unrarhlp.h
47
+
48
+lib_LTLIBRARIES = libclamunrar.la
49
+libclamunrar_iface_la_LIBADD = libclamunrar.la
50
+libclamunrar_iface_la_LDFLAGS = -module @TH_SAFE@ -version-info @LIBCLAMAV_VERSION@ -no-undefined
51
+
52
+if VERSIONSCRIPT
53
+libclamunrar_iface_la_LDFLAGS += -Wl,@VERSIONSCRIPTFLAG@,@top_srcdir@/libclamunrar_iface/libclamunrar_iface.map
54
+endif
55
+
56
+libclamunrar_iface_la_SOURCES = \
57
+	../libclamunrar_iface/unrar_iface.c \
58
+	../libclamunrar_iface/unrar_iface.h
59
+
60
+lib_LTLIBRARIES += libclamunrar_iface.la
61
+endif
0 62
new file mode 100644
... ...
@@ -0,0 +1,670 @@
0
+# Makefile.in generated by automake 1.10.1 from Makefile.am.
1
+# @configure_input@
2
+
3
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
4
+# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
5
+# This Makefile.in is free software; the Free Software Foundation
6
+# gives unlimited permission to copy and/or distribute it,
7
+# with or without modifications, as long as this notice is preserved.
8
+
9
+# This program is distributed in the hope that it will be useful,
10
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
11
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
12
+# PARTICULAR PURPOSE.
13
+
14
+@SET_MAKE@
15
+
16
+#
17
+#  Copyright (C) 2002 - 2007 Tomasz Kojm <tkojm@clamav.net>
18
+#
19
+#  This program is free software; you can redistribute it and/or modify
20
+#  it under the terms of the GNU General Public License as published by
21
+#  the Free Software Foundation; either version 2 of the License, or
22
+#  (at your option) any later version.
23
+#
24
+#  This program is distributed in the hope that it will be useful,
25
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
26
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
27
+#  GNU General Public License for more details.
28
+#
29
+#  You should have received a copy of the GNU General Public License
30
+#  along with this program; if not, write to the Free Software
31
+#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
32
+#  MA 02110-1301, USA.
33
+
34
+VPATH = @srcdir@
35
+pkgdatadir = $(datadir)/@PACKAGE@
36
+pkglibdir = $(libdir)/@PACKAGE@
37
+pkgincludedir = $(includedir)/@PACKAGE@
38
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
39
+install_sh_DATA = $(install_sh) -c -m 644
40
+install_sh_PROGRAM = $(install_sh) -c
41
+install_sh_SCRIPT = $(install_sh) -c
42
+INSTALL_HEADER = $(INSTALL_DATA)
43
+transform = $(program_transform_name)
44
+NORMAL_INSTALL = :
45
+PRE_INSTALL = :
46
+POST_INSTALL = :
47
+NORMAL_UNINSTALL = :
48
+PRE_UNINSTALL = :
49
+POST_UNINSTALL = :
50
+build_triplet = @build@
51
+host_triplet = @host@
52
+target_triplet = @target@
53
+@ENABLE_UNRAR_TRUE@@VERSIONSCRIPT_TRUE@am__append_1 = -Wl,@VERSIONSCRIPTFLAG@,@top_srcdir@/libclamunrar/libclamunrar.map
54
+@ENABLE_UNRAR_TRUE@@VERSIONSCRIPT_TRUE@am__append_2 = -Wl,@VERSIONSCRIPTFLAG@,@top_srcdir@/libclamunrar_iface/libclamunrar_iface.map
55
+subdir = libclamunrar_iface
56
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
57
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
58
+am__aclocal_m4_deps = $(top_srcdir)/m4/acinclude.m4 \
59
+	$(top_srcdir)/m4/argz.m4 $(top_srcdir)/m4/fdpassing.m4 \
60
+	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
61
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltdl.m4 \
62
+	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
63
+	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
64
+	$(top_srcdir)/m4/mmap_private.m4 $(top_srcdir)/m4/resolv.m4 \
65
+	$(top_srcdir)/configure.in
66
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
67
+	$(ACLOCAL_M4)
68
+mkinstalldirs = $(install_sh) -d
69
+CONFIG_HEADER = $(top_builddir)/clamav-config.h
70
+CONFIG_CLEAN_FILES =
71
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
72
+am__vpath_adj = case $$p in \
73
+    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
74
+    *) f=$$p;; \
75
+  esac;
76
+am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
77
+am__installdirs = "$(DESTDIR)$(libdir)"
78
+libLTLIBRARIES_INSTALL = $(INSTALL)
79
+LTLIBRARIES = $(lib_LTLIBRARIES)
80
+libclamunrar_la_LIBADD =
81
+am__libclamunrar_la_SOURCES_DIST = ../libclamunrar/unrar15.c \
82
+	../libclamunrar/unrar20.h ../libclamunrar/unrar.h \
83
+	../libclamunrar/unrar15.h ../libclamunrar/unrar.c \
84
+	../libclamunrar/unrar20.c ../libclamunrar/unrarcmd.h \
85
+	../libclamunrar/unrarfilter.h ../libclamunrar/unrarppm.c \
86
+	../libclamunrar/unrarvm.c ../libclamunrar/unrarcmd.c \
87
+	../libclamunrar/unrarfilter.c ../libclamunrar/unrarppm.h \
88
+	../libclamunrar/unrarvm.h ../libclamunrar/unrarhlp.c \
89
+	../libclamunrar/unrarhlp.h
90
+@ENABLE_UNRAR_TRUE@am_libclamunrar_la_OBJECTS = unrar15.lo unrar.lo \
91
+@ENABLE_UNRAR_TRUE@	unrar20.lo unrarppm.lo unrarvm.lo \
92
+@ENABLE_UNRAR_TRUE@	unrarcmd.lo unrarfilter.lo unrarhlp.lo
93
+libclamunrar_la_OBJECTS = $(am_libclamunrar_la_OBJECTS)
94
+libclamunrar_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
95
+	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
96
+	$(libclamunrar_la_LDFLAGS) $(LDFLAGS) -o $@
97
+@ENABLE_UNRAR_TRUE@am_libclamunrar_la_rpath = -rpath $(libdir)
98
+@ENABLE_UNRAR_TRUE@libclamunrar_iface_la_DEPENDENCIES =  \
99
+@ENABLE_UNRAR_TRUE@	libclamunrar.la
100
+am__libclamunrar_iface_la_SOURCES_DIST =  \
101
+	../libclamunrar_iface/unrar_iface.c \
102
+	../libclamunrar_iface/unrar_iface.h
103
+@ENABLE_UNRAR_TRUE@am_libclamunrar_iface_la_OBJECTS = unrar_iface.lo
104
+libclamunrar_iface_la_OBJECTS = $(am_libclamunrar_iface_la_OBJECTS)
105
+libclamunrar_iface_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
106
+	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
107
+	$(libclamunrar_iface_la_LDFLAGS) $(LDFLAGS) -o $@
108
+@ENABLE_UNRAR_TRUE@am_libclamunrar_iface_la_rpath = -rpath $(libdir)
109
+DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
110
+depcomp = $(SHELL) $(top_srcdir)/config/depcomp
111
+am__depfiles_maybe = depfiles
112
+COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
113
+	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
114
+LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
115
+	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
116
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
117
+CCLD = $(CC)
118
+LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
119
+	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
120
+	$(LDFLAGS) -o $@
121
+SOURCES = $(libclamunrar_la_SOURCES) $(libclamunrar_iface_la_SOURCES)
122
+DIST_SOURCES = $(am__libclamunrar_la_SOURCES_DIST) \
123
+	$(am__libclamunrar_iface_la_SOURCES_DIST)
124
+ETAGS = etags
125
+CTAGS = ctags
126
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
127
+ACLOCAL = @ACLOCAL@
128
+AMTAR = @AMTAR@
129
+AR = @AR@
130
+ARGZ_H = @ARGZ_H@
131
+AUTOCONF = @AUTOCONF@
132
+AUTOHEADER = @AUTOHEADER@
133
+AUTOMAKE = @AUTOMAKE@
134
+AWK = @AWK@
135
+CC = @CC@
136
+CCDEPMODE = @CCDEPMODE@
137
+CFGDIR = @CFGDIR@
138
+CFLAGS = @CFLAGS@
139
+CHECK_CPPFLAGS = @CHECK_CPPFLAGS@
140
+CHECK_LIBS = @CHECK_LIBS@
141
+CLAMAVGROUP = @CLAMAVGROUP@
142
+CLAMAVUSER = @CLAMAVUSER@
143
+CLAMAV_MILTER_LIBS = @CLAMAV_MILTER_LIBS@
144
+CLAMD_LIBS = @CLAMD_LIBS@
145
+CPP = @CPP@
146
+CPPFLAGS = @CPPFLAGS@
147
+CURSES_CPPFLAGS = @CURSES_CPPFLAGS@
148
+CURSES_LIBS = @CURSES_LIBS@
149
+CYGPATH_W = @CYGPATH_W@
150
+DBDIR = @DBDIR@
151
+DEFS = @DEFS@
152
+DEPDIR = @DEPDIR@
153
+DSYMUTIL = @DSYMUTIL@
154
+DUMPBIN = @DUMPBIN@
155
+ECHO_C = @ECHO_C@
156
+ECHO_N = @ECHO_N@
157
+ECHO_T = @ECHO_T@
158
+EGREP = @EGREP@
159
+EXEEXT = @EXEEXT@
160
+FGREP = @FGREP@
161
+FRESHCLAM_LIBS = @FRESHCLAM_LIBS@
162
+GCOV = @GCOV@
163
+GENHTML = @GENHTML@
164
+GETENT = @GETENT@
165
+GPERF = @GPERF@
166
+GREP = @GREP@
167
+INCLTDL = @INCLTDL@
168
+INSTALL = @INSTALL@
169
+INSTALL_DATA = @INSTALL_DATA@
170
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
171
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
172
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
173
+LCOV = @LCOV@
174
+LD = @LD@
175
+LDFLAGS = @LDFLAGS@
176
+LIBADD_DL = @LIBADD_DL@
177
+LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
178
+LIBADD_DLOPEN = @LIBADD_DLOPEN@
179
+LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
180
+LIBBZ2 = @LIBBZ2@
181
+LIBBZ2_PREFIX = @LIBBZ2_PREFIX@
182
+LIBCLAMAV_LIBS = @LIBCLAMAV_LIBS@
183
+LIBCLAMAV_VERSION = @LIBCLAMAV_VERSION@
184
+LIBLTDL = @LIBLTDL@
185
+LIBOBJS = @LIBOBJS@
186
+LIBS = @LIBS@
187
+LIBTOOL = @LIBTOOL@
188
+LIPO = @LIPO@
189
+LN_S = @LN_S@
190
+LTDLDEPS = @LTDLDEPS@
191
+LTDLINCL = @LTDLINCL@
192
+LTDLOPEN = @LTDLOPEN@
193
+LTLIBBZ2 = @LTLIBBZ2@
194
+LTLIBOBJS = @LTLIBOBJS@
195
+LT_CONFIG_H = @LT_CONFIG_H@
196
+LT_DLLOADERS = @LT_DLLOADERS@
197
+LT_DLPREOPEN = @LT_DLPREOPEN@
198
+MAINT = @MAINT@
199
+MAKEINFO = @MAKEINFO@
200
+MKDIR_P = @MKDIR_P@
201
+NM = @NM@
202
+NMEDIT = @NMEDIT@
203
+OBJDUMP = @OBJDUMP@
204
+OBJEXT = @OBJEXT@
205
+OTOOL = @OTOOL@
206
+OTOOL64 = @OTOOL64@
207
+PACKAGE = @PACKAGE@
208
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
209
+PACKAGE_NAME = @PACKAGE_NAME@
210
+PACKAGE_STRING = @PACKAGE_STRING@
211
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
212
+PACKAGE_VERSION = @PACKAGE_VERSION@
213
+PATH_SEPARATOR = @PATH_SEPARATOR@
214
+RANLIB = @RANLIB@
215
+SED = @SED@
216
+SET_MAKE = @SET_MAKE@
217
+SHELL = @SHELL@
218
+STRIP = @STRIP@
219
+THREAD_LIBS = @THREAD_LIBS@
220
+TH_SAFE = @TH_SAFE@
221
+VERSION = @VERSION@
222
+VERSIONSCRIPTFLAG = @VERSIONSCRIPTFLAG@
223
+abs_builddir = @abs_builddir@
224
+abs_srcdir = @abs_srcdir@
225
+abs_top_builddir = @abs_top_builddir@
226
+abs_top_srcdir = @abs_top_srcdir@
227
+ac_ct_CC = @ac_ct_CC@
228
+ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
229
+am__include = @am__include@
230
+am__leading_dot = @am__leading_dot@
231
+am__quote = @am__quote@
232
+am__tar = @am__tar@
233
+am__untar = @am__untar@
234
+bindir = @bindir@
235
+build = @build@
236
+build_alias = @build_alias@
237
+build_cpu = @build_cpu@
238
+build_os = @build_os@
239
+build_vendor = @build_vendor@
240
+builddir = @builddir@
241
+datadir = @datadir@
242
+datarootdir = @datarootdir@
243
+docdir = @docdir@
244
+dvidir = @dvidir@
245
+exec_prefix = @exec_prefix@
246
+host = @host@
247
+host_alias = @host_alias@
248
+host_cpu = @host_cpu@
249
+host_os = @host_os@
250
+host_vendor = @host_vendor@
251
+htmldir = @htmldir@
252
+includedir = @includedir@
253
+infodir = @infodir@
254
+install_sh = @install_sh@
255
+libdir = @libdir@
256
+libexecdir = @libexecdir@
257
+localedir = @localedir@
258
+localstatedir = @localstatedir@
259
+lt_ECHO = @lt_ECHO@
260
+ltdl_LIBOBJS = @ltdl_LIBOBJS@
261
+ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
262
+mandir = @mandir@
263
+mkdir_p = @mkdir_p@
264
+oldincludedir = @oldincludedir@
265
+pdfdir = @pdfdir@
266
+prefix = @prefix@
267
+program_transform_name = @program_transform_name@
268
+psdir = @psdir@
269
+sbindir = @sbindir@
270
+sharedstatedir = @sharedstatedir@
271
+srcdir = @srcdir@
272
+sys_symbol_underscore = @sys_symbol_underscore@
273
+sysconfdir = @sysconfdir@
274
+target = @target@
275
+target_alias = @target_alias@
276
+target_cpu = @target_cpu@
277
+target_os = @target_os@
278
+target_vendor = @target_vendor@
279
+top_build_prefix = @top_build_prefix@
280
+top_builddir = @top_builddir@
281
+top_srcdir = @top_srcdir@
282
+AM_CPPFLAGS = -I$(top_srcdir) $(LTDLINCL)
283
+EXTRA_DIST = @top_srcdir@/libclamunrar/libclamunrar.map \
284
+	@top_srcdir@/libclamunrar_iface/libclamunrar_iface.map
285
+@ENABLE_UNRAR_TRUE@libclamunrar_la_LDFLAGS = @TH_SAFE@ -version-info \
286
+@ENABLE_UNRAR_TRUE@	@LIBCLAMAV_VERSION@ -no-undefined \
287
+@ENABLE_UNRAR_TRUE@	$(am__append_1)
288
+@ENABLE_UNRAR_TRUE@libclamunrar_la_SOURCES = \
289
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrar15.c \
290
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrar20.h \
291
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrar.h \
292
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrar15.h \
293
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrar.c \
294
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrar20.c \
295
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarcmd.h \
296
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarfilter.h \
297
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarppm.c \
298
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarvm.c \
299
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarcmd.c \
300
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarfilter.c \
301
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrar.h \
302
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarppm.h \
303
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarvm.h \
304
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarhlp.c \
305
+@ENABLE_UNRAR_TRUE@	../libclamunrar/unrarhlp.h
306
+
307
+@ENABLE_UNRAR_TRUE@lib_LTLIBRARIES = libclamunrar.la \
308
+@ENABLE_UNRAR_TRUE@	libclamunrar_iface.la
309
+@ENABLE_UNRAR_TRUE@libclamunrar_iface_la_LIBADD = libclamunrar.la
310
+@ENABLE_UNRAR_TRUE@libclamunrar_iface_la_LDFLAGS = -module @TH_SAFE@ \
311
+@ENABLE_UNRAR_TRUE@	-version-info @LIBCLAMAV_VERSION@ \
312
+@ENABLE_UNRAR_TRUE@	-no-undefined $(am__append_2)
313
+@ENABLE_UNRAR_TRUE@libclamunrar_iface_la_SOURCES = \
314
+@ENABLE_UNRAR_TRUE@	../libclamunrar_iface/unrar_iface.c \
315
+@ENABLE_UNRAR_TRUE@	../libclamunrar_iface/unrar_iface.h
316
+
317
+all: all-am
318
+
319
+.SUFFIXES:
320
+.SUFFIXES: .c .lo .o .obj
321
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
322
+	@for dep in $?; do \
323
+	  case '$(am__configure_deps)' in \
324
+	    *$$dep*) \
325
+	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
326
+		&& exit 0; \
327
+	      exit 1;; \
328
+	  esac; \
329
+	done; \
330
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  libclamunrar_iface/Makefile'; \
331
+	cd $(top_srcdir) && \
332
+	  $(AUTOMAKE) --foreign  libclamunrar_iface/Makefile
333
+.PRECIOUS: Makefile
334
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
335
+	@case '$?' in \
336
+	  *config.status*) \
337
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
338
+	  *) \
339
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
340
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
341
+	esac;
342
+
343
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
344
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
345
+
346
+$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
347
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
348
+$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
349
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
350
+install-libLTLIBRARIES: $(lib_LTLIBRARIES)
351
+	@$(NORMAL_INSTALL)
352
+	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
353
+	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
354
+	  if test -f $$p; then \
355
+	    f=$(am__strip_dir) \
356
+	    echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
357
+	    $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
358
+	  else :; fi; \
359
+	done
360
+
361
+uninstall-libLTLIBRARIES:
362
+	@$(NORMAL_UNINSTALL)
363
+	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
364
+	  p=$(am__strip_dir) \
365
+	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
366
+	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
367
+	done
368
+
369
+clean-libLTLIBRARIES:
370
+	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
371
+	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
372
+	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
373
+	  test "$$dir" != "$$p" || dir=.; \
374
+	  echo "rm -f \"$${dir}/so_locations\""; \
375
+	  rm -f "$${dir}/so_locations"; \
376
+	done
377
+libclamunrar.la: $(libclamunrar_la_OBJECTS) $(libclamunrar_la_DEPENDENCIES) 
378
+	$(libclamunrar_la_LINK) $(am_libclamunrar_la_rpath) $(libclamunrar_la_OBJECTS) $(libclamunrar_la_LIBADD) $(LIBS)
379
+libclamunrar_iface.la: $(libclamunrar_iface_la_OBJECTS) $(libclamunrar_iface_la_DEPENDENCIES) 
380
+	$(libclamunrar_iface_la_LINK) $(am_libclamunrar_iface_la_rpath) $(libclamunrar_iface_la_OBJECTS) $(libclamunrar_iface_la_LIBADD) $(LIBS)
381
+
382
+mostlyclean-compile:
383
+	-rm -f *.$(OBJEXT)
384
+
385
+distclean-compile:
386
+	-rm -f *.tab.c
387
+
388
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unrar.Plo@am__quote@
389
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unrar15.Plo@am__quote@
390
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unrar20.Plo@am__quote@
391
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unrar_iface.Plo@am__quote@
392
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unrarcmd.Plo@am__quote@
393
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unrarfilter.Plo@am__quote@
394
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unrarhlp.Plo@am__quote@
395
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unrarppm.Plo@am__quote@
396
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unrarvm.Plo@am__quote@
397
+
398
+.c.o:
399
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
400
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
401
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
402
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
403
+@am__fastdepCC_FALSE@	$(COMPILE) -c $<
404
+
405
+.c.obj:
406
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
407
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
408
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
409
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
410
+@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
411
+
412
+.c.lo:
413
+@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
414
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
415
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
416
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
417
+@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
418
+
419
+unrar15.lo: ../libclamunrar/unrar15.c
420
+@am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT unrar15.lo -MD -MP -MF $(DEPDIR)/unrar15.Tpo -c -o unrar15.lo `test -f '../libclamunrar/unrar15.c' || echo '$(srcdir)/'`../libclamunrar/unrar15.c
421
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/unrar15.Tpo $(DEPDIR)/unrar15.Plo
422
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../libclamunrar/unrar15.c' object='unrar15.lo' libtool=yes @AMDEPBACKSLASH@
423
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
424
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o unrar15.lo `test -f '../libclamunrar/unrar15.c' || echo '$(srcdir)/'`../libclamunrar/unrar15.c
425
+
426
+unrar.lo: ../libclamunrar/unrar.c
427
+@am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT unrar.lo -MD -MP -MF $(DEPDIR)/unrar.Tpo -c -o unrar.lo `test -f '../libclamunrar/unrar.c' || echo '$(srcdir)/'`../libclamunrar/unrar.c
428
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/unrar.Tpo $(DEPDIR)/unrar.Plo
429
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../libclamunrar/unrar.c' object='unrar.lo' libtool=yes @AMDEPBACKSLASH@
430
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
431
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o unrar.lo `test -f '../libclamunrar/unrar.c' || echo '$(srcdir)/'`../libclamunrar/unrar.c
432
+
433
+unrar20.lo: ../libclamunrar/unrar20.c
434
+@am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT unrar20.lo -MD -MP -MF $(DEPDIR)/unrar20.Tpo -c -o unrar20.lo `test -f '../libclamunrar/unrar20.c' || echo '$(srcdir)/'`../libclamunrar/unrar20.c
435
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/unrar20.Tpo $(DEPDIR)/unrar20.Plo
436
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../libclamunrar/unrar20.c' object='unrar20.lo' libtool=yes @AMDEPBACKSLASH@
437
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
438
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o unrar20.lo `test -f '../libclamunrar/unrar20.c' || echo '$(srcdir)/'`../libclamunrar/unrar20.c
439
+
440
+unrarppm.lo: ../libclamunrar/unrarppm.c
441
+@am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT unrarppm.lo -MD -MP -MF $(DEPDIR)/unrarppm.Tpo -c -o unrarppm.lo `test -f '../libclamunrar/unrarppm.c' || echo '$(srcdir)/'`../libclamunrar/unrarppm.c
442
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/unrarppm.Tpo $(DEPDIR)/unrarppm.Plo
443
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../libclamunrar/unrarppm.c' object='unrarppm.lo' libtool=yes @AMDEPBACKSLASH@
444
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
445
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o unrarppm.lo `test -f '../libclamunrar/unrarppm.c' || echo '$(srcdir)/'`../libclamunrar/unrarppm.c
446
+
447
+unrarvm.lo: ../libclamunrar/unrarvm.c
448
+@am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT unrarvm.lo -MD -MP -MF $(DEPDIR)/unrarvm.Tpo -c -o unrarvm.lo `test -f '../libclamunrar/unrarvm.c' || echo '$(srcdir)/'`../libclamunrar/unrarvm.c
449
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/unrarvm.Tpo $(DEPDIR)/unrarvm.Plo
450
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../libclamunrar/unrarvm.c' object='unrarvm.lo' libtool=yes @AMDEPBACKSLASH@
451
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
452
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o unrarvm.lo `test -f '../libclamunrar/unrarvm.c' || echo '$(srcdir)/'`../libclamunrar/unrarvm.c
453
+
454
+unrarcmd.lo: ../libclamunrar/unrarcmd.c
455
+@am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT unrarcmd.lo -MD -MP -MF $(DEPDIR)/unrarcmd.Tpo -c -o unrarcmd.lo `test -f '../libclamunrar/unrarcmd.c' || echo '$(srcdir)/'`../libclamunrar/unrarcmd.c
456
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/unrarcmd.Tpo $(DEPDIR)/unrarcmd.Plo
457
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../libclamunrar/unrarcmd.c' object='unrarcmd.lo' libtool=yes @AMDEPBACKSLASH@
458
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
459
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o unrarcmd.lo `test -f '../libclamunrar/unrarcmd.c' || echo '$(srcdir)/'`../libclamunrar/unrarcmd.c
460
+
461
+unrarfilter.lo: ../libclamunrar/unrarfilter.c
462
+@am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT unrarfilter.lo -MD -MP -MF $(DEPDIR)/unrarfilter.Tpo -c -o unrarfilter.lo `test -f '../libclamunrar/unrarfilter.c' || echo '$(srcdir)/'`../libclamunrar/unrarfilter.c
463
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/unrarfilter.Tpo $(DEPDIR)/unrarfilter.Plo
464
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../libclamunrar/unrarfilter.c' object='unrarfilter.lo' libtool=yes @AMDEPBACKSLASH@
465
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
466
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o unrarfilter.lo `test -f '../libclamunrar/unrarfilter.c' || echo '$(srcdir)/'`../libclamunrar/unrarfilter.c
467
+
468
+unrarhlp.lo: ../libclamunrar/unrarhlp.c
469
+@am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT unrarhlp.lo -MD -MP -MF $(DEPDIR)/unrarhlp.Tpo -c -o unrarhlp.lo `test -f '../libclamunrar/unrarhlp.c' || echo '$(srcdir)/'`../libclamunrar/unrarhlp.c
470
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/unrarhlp.Tpo $(DEPDIR)/unrarhlp.Plo
471
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../libclamunrar/unrarhlp.c' object='unrarhlp.lo' libtool=yes @AMDEPBACKSLASH@
472
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
473
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o unrarhlp.lo `test -f '../libclamunrar/unrarhlp.c' || echo '$(srcdir)/'`../libclamunrar/unrarhlp.c
474
+
475
+unrar_iface.lo: ../libclamunrar_iface/unrar_iface.c
476
+@am__fastdepCC_TRUE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT unrar_iface.lo -MD -MP -MF $(DEPDIR)/unrar_iface.Tpo -c -o unrar_iface.lo `test -f '../libclamunrar_iface/unrar_iface.c' || echo '$(srcdir)/'`../libclamunrar_iface/unrar_iface.c
477
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/unrar_iface.Tpo $(DEPDIR)/unrar_iface.Plo
478
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='../libclamunrar_iface/unrar_iface.c' object='unrar_iface.lo' libtool=yes @AMDEPBACKSLASH@
479
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
480
+@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o unrar_iface.lo `test -f '../libclamunrar_iface/unrar_iface.c' || echo '$(srcdir)/'`../libclamunrar_iface/unrar_iface.c
481
+
482
+mostlyclean-libtool:
483
+	-rm -f *.lo
484
+
485
+clean-libtool:
486
+	-rm -rf .libs _libs
487
+
488
+ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
489
+	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
490
+	unique=`for i in $$list; do \
491
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
492
+	  done | \
493
+	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
494
+	      END { if (nonempty) { for (i in files) print i; }; }'`; \
495
+	mkid -fID $$unique
496
+tags: TAGS
497
+
498
+TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
499
+		$(TAGS_FILES) $(LISP)
500
+	tags=; \
501
+	here=`pwd`; \
502
+	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
503
+	unique=`for i in $$list; do \
504
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
505
+	  done | \
506
+	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
507
+	      END { if (nonempty) { for (i in files) print i; }; }'`; \
508
+	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
509
+	  test -n "$$unique" || unique=$$empty_fix; \
510
+	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
511
+	    $$tags $$unique; \
512
+	fi
513
+ctags: CTAGS
514
+CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
515
+		$(TAGS_FILES) $(LISP)
516
+	tags=; \
517
+	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
518
+	unique=`for i in $$list; do \
519
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
520
+	  done | \
521
+	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
522
+	      END { if (nonempty) { for (i in files) print i; }; }'`; \
523
+	test -z "$(CTAGS_ARGS)$$tags$$unique" \
524
+	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
525
+	     $$tags $$unique
526
+
527
+GTAGS:
528
+	here=`$(am__cd) $(top_builddir) && pwd` \
529
+	  && cd $(top_srcdir) \
530
+	  && gtags -i $(GTAGS_ARGS) $$here
531
+
532
+distclean-tags:
533
+	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
534
+
535
+distdir: $(DISTFILES)
536
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
537
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
538
+	list='$(DISTFILES)'; \
539
+	  dist_files=`for file in $$list; do echo $$file; done | \
540
+	  sed -e "s|^$$srcdirstrip/||;t" \
541
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
542
+	case $$dist_files in \
543
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
544
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
545
+			   sort -u` ;; \
546
+	esac; \
547
+	for file in $$dist_files; do \
548
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
549
+	  if test -d $$d/$$file; then \
550
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
551
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
552
+	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
553
+	    fi; \
554
+	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
555
+	  else \
556
+	    test -f $(distdir)/$$file \
557
+	    || cp -p $$d/$$file $(distdir)/$$file \
558
+	    || exit 1; \
559
+	  fi; \
560
+	done
561
+check-am: all-am
562
+check: check-am
563
+all-am: Makefile $(LTLIBRARIES)
564
+installdirs:
565
+	for dir in "$(DESTDIR)$(libdir)"; do \
566
+	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
567
+	done
568
+install: install-am
569
+install-exec: install-exec-am
570
+install-data: install-data-am
571
+uninstall: uninstall-am
572
+
573
+install-am: all-am
574
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
575
+
576
+installcheck: installcheck-am
577
+install-strip:
578
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
579
+	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
580
+	  `test -z '$(STRIP)' || \
581
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
582
+mostlyclean-generic:
583
+
584
+clean-generic:
585
+
586
+distclean-generic:
587
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
588
+
589
+maintainer-clean-generic:
590
+	@echo "This command is intended for maintainers to use"
591
+	@echo "it deletes files that may require special tools to rebuild."
592
+clean: clean-am
593
+
594
+clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
595
+	mostlyclean-am
596
+
597
+distclean: distclean-am
598
+	-rm -rf ./$(DEPDIR)
599
+	-rm -f Makefile
600
+distclean-am: clean-am distclean-compile distclean-generic \
601
+	distclean-tags
602
+
603
+dvi: dvi-am
604
+
605
+dvi-am:
606
+
607
+html: html-am
608
+
609
+info: info-am
610
+
611
+info-am:
612
+
613
+install-data-am:
614
+
615
+install-dvi: install-dvi-am
616
+
617
+install-exec-am: install-libLTLIBRARIES
618
+
619
+install-html: install-html-am
620
+
621
+install-info: install-info-am
622
+
623
+install-man:
624
+
625
+install-pdf: install-pdf-am
626
+
627
+install-ps: install-ps-am
628
+
629
+installcheck-am:
630
+
631
+maintainer-clean: maintainer-clean-am
632
+	-rm -rf ./$(DEPDIR)
633
+	-rm -f Makefile
634
+maintainer-clean-am: distclean-am maintainer-clean-generic
635
+
636
+mostlyclean: mostlyclean-am
637
+
638
+mostlyclean-am: mostlyclean-compile mostlyclean-generic \
639
+	mostlyclean-libtool
640
+
641
+pdf: pdf-am
642
+
643
+pdf-am:
644
+
645
+ps: ps-am
646
+
647
+ps-am:
648
+
649
+uninstall-am: uninstall-libLTLIBRARIES
650
+
651
+.MAKE: install-am install-strip
652
+
653
+.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
654
+	clean-libLTLIBRARIES clean-libtool ctags distclean \
655
+	distclean-compile distclean-generic distclean-libtool \
656
+	distclean-tags distdir dvi dvi-am html html-am info info-am \
657
+	install install-am install-data install-data-am install-dvi \
658
+	install-dvi-am install-exec install-exec-am install-html \
659
+	install-html-am install-info install-info-am \
660
+	install-libLTLIBRARIES install-man install-pdf install-pdf-am \
661
+	install-ps install-ps-am install-strip installcheck \
662
+	installcheck-am installdirs maintainer-clean \
663
+	maintainer-clean-generic mostlyclean mostlyclean-compile \
664
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
665
+	tags uninstall uninstall-am uninstall-libLTLIBRARIES
666
+
667
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
668
+# Otherwise a system limit (for SysV at least) may be exceeded.
669
+.NOEXPORT: